#include <malloc.h>
#include <nds.h>

void *safe_malloc(unsigned long size)
{
	vuint32 savedIME = REG_IE ;
	REG_IE = IRQ_TIMER0;
	void  *tmp = malloc(size) ;
	REG_IE = savedIME ;
	return tmp ;
}

void safe_free(void *ptr)
{
	vuint32 savedIME = REG_IE ;
	REG_IE = IRQ_TIMER0;
	free(ptr) ;
	REG_IE = savedIME ;
}
